Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class IllegalPropertyAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException
                          groovy.lang.IllegalPropertyAccessException

    public class IllegalPropertyAccessException
    extends MissingPropertyException

An exception occurred if a dynamic property dispatch fails with a field not accessible.

Authors:
  Jochen Theodorou

Version:
  \$Revision\$

Field Summary

Fields inherited from class MissingPropertyException
MPE

Constructor Summary
`IllegalPropertyAccessException(java.lang.String propertyName, java.lang.Class clazz, int modifiers)`
`IllegalPropertyAccessException(Field field, java.lang.Class clazz)`

Method Summary

Methods inherited from class MissingPropertyException
getMessageWithoutLocationText, getProperty, getType

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### IllegalPropertyAccessException

    public IllegalPropertyAccessException(java.lang.String propertyName, java.lang.Class clazz, int modifiers)

### IllegalPropertyAccessException

    public IllegalPropertyAccessException(Field field, java.lang.Class clazz)

Groovy Documentation